> ## Documentation Index
> Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get linked views for a given resource

> > For the complete documentation index, see [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the full documentation snapshot, see [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).

Get a list of all linked views for a resource. Flags are identified by key. Segments are identified by segment ID.



## OpenAPI

````yaml /openapi/launchdarkly-api.json get /api/v2/projects/{projectKey}/view-associations/{resourceType}/{resourceKey}
openapi: 3.0.3
info:
  title: LaunchDarkly REST API
  description: >
    > For the complete documentation index, see
    https://launchdarkly-preview.mintlify.app/llms.txt.

    > For the full documentation snapshot, see
    https://launchdarkly-preview.mintlify.app/llms-full.txt.


    This is the LaunchDarkly REST API. It lets you build custom integrations,
    automate your workflow, and manage feature flags and other LaunchDarkly
    resources programmatically.


    For authentication, rate limits, pagination, versioning, JSON Patch and
    semantic patches, beta resources, and the full SDK End-of-Life table, read
    the [REST API overview](https://launchdarkly-preview.mintlify.app/api).


    To fetch the complete OpenAPI spec, use [Get OpenAPI
    spec](https://launchdarkly.com/docs/api/other/get-openapi-spec).
  contact:
    name: LaunchDarkly Technical Support Team
    url: https://support.launchdarkly.com
    email: support@launchdarkly.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2.0'
servers:
  - url: https://app.launchdarkly.com
    description: ' Default'
  - url: https://app.launchdarkly.us
    description: ' Federal'
security:
  - ApiKey:
      - read
      - write
tags:
  - name: Access tokens
    description: >-
      The access tokens API allows you to list, create, modify, and delete
      access tokens programmatically.
  - name: Account members
    description: >-
      The account members API allows you to invite new members to an account by
      making a `POST` request to `/api/v2/members`. When you invite a new member
      to an account, an invitation is sent to the email you provided.
  - name: Account usage (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: AI Configs
    description: >-
      The AI Configs API allows you to create, retrieve, and edit AI Configs, AI
      Config variations, and AI model configurations.
  - name: Announcements
    description: >-
      The announcements API lets you create and update a custom announcement
      banner that appears in the LaunchDarkly user interface for everyone in
      your organization.
  - name: Applications (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Approvals
    description: >-
      An account member can request approval on changes to a flag or AI Config's
      targeting or variations, or to a segment's targeting. Members may be
      required to request approval depending on the settings in their
      LaunchDarkly project.
  - name: Approvals (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Audit log
    description: >-
      LaunchDarkly maintains a record of all the changes made to any resource in
      the system. You can access this history using the audit log API, including
      filtering by timestamps, or using a custom policy to select which entries
      to receive.
  - name: Code references
    description: >-
      > ### Code references is an Enterprise feature > > Code references is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Context settings
    description: >-
      You can use the context settings API to assign a context to a specific
      variation for any feature flag. To learn more, read [View and manage
      contexts](https://launchdarkly.com/docs/home/observability/context-attributes#view-and-manage-contexts).
  - name: Contexts
    description: >-
      Contexts are people, services, machines, or other resources that encounter
      feature flags in your product. Contexts are identified by their `kind`,
      which describes the type of resources encountering flags, and by their
      `key`.
  - name: Custom roles
    description: >-
      > ### Custom roles is an Enterprise feature > > Custom roles is available
      to customers on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Data Export destinations
    description: >-
      > ### Data Export is an add-on feature > > Data Export is available as an
      add-on for customers on a Foundation or Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Environments
    description: >-
      Environments allow you to maintain separate rollout rules in different
      contexts, from local development to QA, staging, and production. With the
      LaunchDarkly Environments API, you can programmatically list, create, and
      manage environments.
  - name: Experiments
    description: >-
      > ### Available for subscription customers > > Experimentation is
      available to all customers on a Developer, Foundation, or Enterprise
      subscription. If you're on an older Pro or Enterprise plan,
      Experimentation is available as an add-on.
  - name: Feature flags
    description: >-
      The feature flags API allows you to list, create, and modify feature flags
      and their targeting. For example, you can control percentage rollouts,
      target specific contexts, or even toggle off a feature flag
      programmatically.
  - name: Feature flags (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag import configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag links (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag triggers
    description: >-
      > ### Flag triggers is an Enterprise feature > > Flag triggers is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Follow flags
    description: >-
      Follow flags to receive email updates about targeting changes to a flag in
      a project and environment.
  - name: Holdouts (beta)
    description: >-
      > ### Available for customers using Experimentation > > Holdouts are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Insights charts (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights deployments (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights flag events (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights pull requests (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights repositories (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights scores (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integration audit log subscriptions
    description: >-
      Audit log integration subscriptions allow you to send audit log events
      hooks to one of dozens of external tools. For example, you can send flag
      change event webhooks to external third party software.
  - name: Integration delivery configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Layers
    description: >-
      > ### Available for customers using Experimentation > > Layers are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Metrics
    description: >-
      Metrics track flag behavior over time when an experiment is running. The
      data generated from experiments gives you more insight into the impact of
      a particular flag.
  - name: Metrics (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: OAuth2 Clients
    description: >-
      The OAuth2 client API allows you to register a LaunchDarkly OAuth client
      for use in your own custom integrations.
  - name: Persistent store integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Projects
    description: >-
      Projects allow you to manage multiple different software projects under
      one LaunchDarkly account. Each project has its own unique set of
      environments and feature flags.
  - name: Relay Proxy configurations
    description: >-
      > ### Relay Proxy automatic configuration is an Enterprise feature > >
      Relay Proxy automatic configuration is available to customers on an
      Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Release pipelines (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Release policies (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Releases (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Scheduled changes
    description: >-
      > ### Scheduled flag changes is an Enterprise feature > > Scheduled flag
      changes is available to customers on an Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Segments
    description: >-
      > ### Synced segments and larger list-based segments are an Enterprise
      feature > > This section documents endpoints for rule-based, list-based,
      and synced segments.
  - name: Tags
    description: >-
      Tags are simple strings that you can attach to most resources in
      LaunchDarkly. Tags are useful for grouping resources into a set that you
      can name in a resource specifier.
  - name: Teams
    description: >-
      > ### Teams is an Enterprise feature > > Teams is available to customers
      on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Teams (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: User settings
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of the user
      settings API.
  - name: Users
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Users (beta)
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Views (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Webhooks
    description: >-
      The webhooks API lets you build your own integrations that subscribe to
      activities in LaunchDarkly. When you generate an activity in LaunchDarkly,
      such as when you change a flag or you create a project, LaunchDarkly sends
      an HTTP POST payload to the...
  - name: Workflow templates
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Workflows
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Other
    description: Other requests available in the LaunchDarkly API.
paths:
  /api/v2/projects/{projectKey}/view-associations/{resourceType}/{resourceKey}:
    get:
      tags:
        - Views (beta)
      summary: Get linked views for a given resource
      description: >-
        > For the complete documentation index, see
        [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the
        full documentation snapshot, see
        [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).


        Get a list of all linked views for a resource. Flags are identified by
        key. Segments are identified by segment ID.
      operationId: getLinkedViews
      parameters:
        - description: Version of the endpoint.
          explode: false
          in: header
          name: LD-API-Version
          required: true
          schema:
            enum:
              - beta
            type: string
          style: simple
        - example: default
          explode: false
          in: path
          name: projectKey
          required: true
          schema:
            type: string
          style: simple
        - example: flags
          explode: false
          in: path
          name: resourceType
          required: true
          schema:
            enum:
              - flags
              - segments
            type: string
          style: simple
        - example: my-flag
          explode: false
          in: path
          name: resourceKey
          required: true
          schema:
            type: string
          style: simple
        - description: Environment ID. Required when resourceType is 'segments'
          example: 6890ff25c3e3830ba1a352e4
          explode: true
          in: query
          name: environmentId
          required: false
          schema:
            type: string
          style: form
        - description: The number of views to return.
          explode: true
          in: query
          name: limit
          required: false
          schema:
            type: integer
          style: form
        - description: >-
            Where to start in the list. Use this with pagination. For example,
            an offset of 10 skips the first ten items and then returns the next
            items in the list, up to the query `limit`.
          explode: true
          in: query
          name: offset
          required: false
          schema:
            type: integer
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Views'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad request
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error
components:
  schemas:
    Views:
      example:
        _links:
          next:
            href: href
            type: type
          last:
            href: href
            type: type
          prev:
            href: href
            type: type
          self:
            href: href
            type: type
          first:
            href: href
            type: type
        totalCount: 0
        items:
          - metricsExpanded:
              totalCount: 6
              items:
                - _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  kind: kind
                  description: description
                  creationDate: 9
                  isActive: true
                  lastSeen: 3
                  eventKey: eventKey
                  _versionId: _versionId
                  isNumeric: true
                  name: name
                  lastModified: 6
                  _id: _id
                  category: category
                  key: key
                - _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  kind: kind
                  description: description
                  creationDate: 9
                  isActive: true
                  lastSeen: 3
                  eventKey: eventKey
                  _versionId: _versionId
                  isNumeric: true
                  name: name
                  lastModified: 6
                  _id: _id
                  category: category
                  key: key
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            description: description
            maintainer:
              kind: kind
              maintainerMember:
                firstName: firstName
                lastName: lastName
                role: role
                id: id
                email: email
              id: id
              maintainerTeam:
                name: name
                id: id
                key: key
            metricsSummary:
              count: 2
            createdAt: 6
            archived: false
            projectKey: projectKey
            _access:
              allowed:
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
              denied:
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
            generateSdkKeys: true
            flagsSummary:
              count: 2
              linkedFlags:
                totalCount: 7
                items:
                  - name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
                  - name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
            id: id
            aiConfigsSummary:
              count: 4
            key: key
            updatedAt: 1
            resourcesExpanded:
              totalCount: 7
              items:
                flags:
                  totalCount: 5
                  items:
                    - archived: true
                      temporary: true
                      includeInSnippet: true
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      creationDate: 7
                      _version: 1
                      key: key
                      maintainer:
                        kind: member
                        _member:
                          firstName: Ariel
                          lastName: Flores
                          role: admin
                          _links:
                            self:
                              href: /api/v2/members/569f183514f4432160000007
                              type: application/json
                          _id: 569f183514f4432160000007
                          email: ariel@acme.com
                        _team:
                          _links:
                            key:
                              href: href
                              type: type
                          name: QA Team
                          customRoleKeys:
                            - access-to-test-projects
                          key: team-key-123abc
                        key: key
                      tags:
                        - tags
                        - tags
                    - archived: true
                      temporary: true
                      includeInSnippet: true
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      creationDate: 7
                      _version: 1
                      key: key
                      maintainer:
                        kind: member
                        _member:
                          firstName: Ariel
                          lastName: Flores
                          role: admin
                          _links:
                            self:
                              href: /api/v2/members/569f183514f4432160000007
                              type: application/json
                          _id: 569f183514f4432160000007
                          email: ariel@acme.com
                        _team:
                          _links:
                            key:
                              href: href
                              type: type
                          name: QA Team
                          customRoleKeys:
                            - access-to-test-projects
                          key: team-key-123abc
                        key: key
                      tags:
                        - tags
                        - tags
                aiConfigs:
                  totalCount: 3
                  items:
                    - createdAt: 2
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      version: 1
                      key: key
                      flagKey: flagKey
                      tags:
                        - tags
                        - tags
                      updatedAt: 6
                    - createdAt: 2
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      version: 1
                      key: key
                      flagKey: flagKey
                      tags:
                        - tags
                        - tags
                      updatedAt: 6
                metrics:
                  totalCount: 3
                  items:
                    - _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      kind: kind
                      description: description
                      creationDate: 9
                      isActive: true
                      lastSeen: 3
                      eventKey: eventKey
                      _versionId: _versionId
                      isNumeric: true
                      name: name
                      lastModified: 6
                      _id: _id
                      category: category
                      key: key
                    - _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      kind: kind
                      description: description
                      creationDate: 9
                      isActive: true
                      lastSeen: 3
                      eventKey: eventKey
                      _versionId: _versionId
                      isNumeric: true
                      name: name
                      lastModified: 6
                      _id: _id
                      category: category
                      key: key
                segments:
                  totalCount: 6
                  items:
                    - generation: 6
                      lastModifiedDate: 9
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      description: description
                      creationDate: 5
                      version: 9
                      environmentKey: environmentKey
                      tags:
                        - tags
                        - tags
                      environmentId: environmentId
                      deleted: true
                      name: name
                      unbounded: true
                      key: key
                    - generation: 6
                      lastModifiedDate: 9
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      description: description
                      creationDate: 5
                      version: 9
                      environmentKey: environmentKey
                      tags:
                        - tags
                        - tags
                      environmentId: environmentId
                      deleted: true
                      name: name
                      unbounded: true
                      key: key
            resourceSummary:
              flagCount: 7
              metricCount: 1
              totalCount: 6
              segmentCount: 1
              aiConfigCount: 1
            version: 0
            tags:
              - tags
              - tags
            accountId: accountId
            archivedAt: 5
            deletedAt: 5
            deleted: false
            name: name
            segmentsSummary:
              linkedSegments:
                totalCount: 3
                items:
                  - environmentId: environmentId
                    name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
                  - environmentId: environmentId
                    name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
              count: 9
            aiConfigsExpanded:
              totalCount: 6
              items:
                - createdAt: 2
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  version: 1
                  key: key
                  flagKey: flagKey
                  tags:
                    - tags
                    - tags
                  updatedAt: 6
                - createdAt: 2
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  version: 1
                  key: key
                  flagKey: flagKey
                  tags:
                    - tags
                    - tags
                  updatedAt: 6
            segmentsExpanded:
              totalCount: 8
              items:
                - generation: 6
                  lastModifiedDate: 9
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  description: description
                  creationDate: 5
                  version: 9
                  environmentKey: environmentKey
                  tags:
                    - tags
                    - tags
                  environmentId: environmentId
                  deleted: true
                  name: name
                  unbounded: true
                  key: key
                - generation: 6
                  lastModifiedDate: 9
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  description: description
                  creationDate: 5
                  version: 9
                  environmentKey: environmentKey
                  tags:
                    - tags
                    - tags
                  environmentId: environmentId
                  deleted: true
                  name: name
                  unbounded: true
                  key: key
            projectId: projectId
            flagsExpanded:
              totalCount: 4
              items:
                - archived: true
                  temporary: true
                  includeInSnippet: true
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  creationDate: 7
                  _version: 1
                  key: key
                  maintainer:
                    kind: member
                    _member:
                      firstName: Ariel
                      lastName: Flores
                      role: admin
                      _links:
                        self:
                          href: /api/v2/members/569f183514f4432160000007
                          type: application/json
                      _id: 569f183514f4432160000007
                      email: ariel@acme.com
                    _team:
                      _links:
                        key:
                          href: href
                          type: type
                      name: QA Team
                      customRoleKeys:
                        - access-to-test-projects
                      key: team-key-123abc
                    key: key
                  tags:
                    - tags
                    - tags
                - archived: true
                  temporary: true
                  includeInSnippet: true
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  creationDate: 7
                  _version: 1
                  key: key
                  maintainer:
                    kind: member
                    _member:
                      firstName: Ariel
                      lastName: Flores
                      role: admin
                      _links:
                        self:
                          href: /api/v2/members/569f183514f4432160000007
                          type: application/json
                      _id: 569f183514f4432160000007
                      email: ariel@acme.com
                    _team:
                      _links:
                        key:
                          href: href
                          type: type
                      name: QA Team
                      customRoleKeys:
                        - access-to-test-projects
                      key: team-key-123abc
                    key: key
                  tags:
                    - tags
                    - tags
          - metricsExpanded:
              totalCount: 6
              items:
                - _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  kind: kind
                  description: description
                  creationDate: 9
                  isActive: true
                  lastSeen: 3
                  eventKey: eventKey
                  _versionId: _versionId
                  isNumeric: true
                  name: name
                  lastModified: 6
                  _id: _id
                  category: category
                  key: key
                - _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  kind: kind
                  description: description
                  creationDate: 9
                  isActive: true
                  lastSeen: 3
                  eventKey: eventKey
                  _versionId: _versionId
                  isNumeric: true
                  name: name
                  lastModified: 6
                  _id: _id
                  category: category
                  key: key
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            description: description
            maintainer:
              kind: kind
              maintainerMember:
                firstName: firstName
                lastName: lastName
                role: role
                id: id
                email: email
              id: id
              maintainerTeam:
                name: name
                id: id
                key: key
            metricsSummary:
              count: 2
            createdAt: 6
            archived: false
            projectKey: projectKey
            _access:
              allowed:
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
              denied:
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
                - reason:
                    role_name: role_name
                    notActions:
                      - null
                      - null
                    notResources:
                      - notResources
                      - notResources
                    effect: allow
                    resources:
                      - proj/*:env/*;qa_*:/flag/*
                    actions:
                      - '*'
                  action: action
            generateSdkKeys: true
            flagsSummary:
              count: 2
              linkedFlags:
                totalCount: 7
                items:
                  - name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
                  - name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
            id: id
            aiConfigsSummary:
              count: 4
            key: key
            updatedAt: 1
            resourcesExpanded:
              totalCount: 7
              items:
                flags:
                  totalCount: 5
                  items:
                    - archived: true
                      temporary: true
                      includeInSnippet: true
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      creationDate: 7
                      _version: 1
                      key: key
                      maintainer:
                        kind: member
                        _member:
                          firstName: Ariel
                          lastName: Flores
                          role: admin
                          _links:
                            self:
                              href: /api/v2/members/569f183514f4432160000007
                              type: application/json
                          _id: 569f183514f4432160000007
                          email: ariel@acme.com
                        _team:
                          _links:
                            key:
                              href: href
                              type: type
                          name: QA Team
                          customRoleKeys:
                            - access-to-test-projects
                          key: team-key-123abc
                        key: key
                      tags:
                        - tags
                        - tags
                    - archived: true
                      temporary: true
                      includeInSnippet: true
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      creationDate: 7
                      _version: 1
                      key: key
                      maintainer:
                        kind: member
                        _member:
                          firstName: Ariel
                          lastName: Flores
                          role: admin
                          _links:
                            self:
                              href: /api/v2/members/569f183514f4432160000007
                              type: application/json
                          _id: 569f183514f4432160000007
                          email: ariel@acme.com
                        _team:
                          _links:
                            key:
                              href: href
                              type: type
                          name: QA Team
                          customRoleKeys:
                            - access-to-test-projects
                          key: team-key-123abc
                        key: key
                      tags:
                        - tags
                        - tags
                aiConfigs:
                  totalCount: 3
                  items:
                    - createdAt: 2
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      version: 1
                      key: key
                      flagKey: flagKey
                      tags:
                        - tags
                        - tags
                      updatedAt: 6
                    - createdAt: 2
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      name: name
                      description: description
                      version: 1
                      key: key
                      flagKey: flagKey
                      tags:
                        - tags
                        - tags
                      updatedAt: 6
                metrics:
                  totalCount: 3
                  items:
                    - _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      kind: kind
                      description: description
                      creationDate: 9
                      isActive: true
                      lastSeen: 3
                      eventKey: eventKey
                      _versionId: _versionId
                      isNumeric: true
                      name: name
                      lastModified: 6
                      _id: _id
                      category: category
                      key: key
                    - _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      kind: kind
                      description: description
                      creationDate: 9
                      isActive: true
                      lastSeen: 3
                      eventKey: eventKey
                      _versionId: _versionId
                      isNumeric: true
                      name: name
                      lastModified: 6
                      _id: _id
                      category: category
                      key: key
                segments:
                  totalCount: 6
                  items:
                    - generation: 6
                      lastModifiedDate: 9
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      description: description
                      creationDate: 5
                      version: 9
                      environmentKey: environmentKey
                      tags:
                        - tags
                        - tags
                      environmentId: environmentId
                      deleted: true
                      name: name
                      unbounded: true
                      key: key
                    - generation: 6
                      lastModifiedDate: 9
                      _links:
                        parent:
                          href: href
                          type: type
                        self:
                          href: href
                          type: type
                      description: description
                      creationDate: 5
                      version: 9
                      environmentKey: environmentKey
                      tags:
                        - tags
                        - tags
                      environmentId: environmentId
                      deleted: true
                      name: name
                      unbounded: true
                      key: key
            resourceSummary:
              flagCount: 7
              metricCount: 1
              totalCount: 6
              segmentCount: 1
              aiConfigCount: 1
            version: 0
            tags:
              - tags
              - tags
            accountId: accountId
            archivedAt: 5
            deletedAt: 5
            deleted: false
            name: name
            segmentsSummary:
              linkedSegments:
                totalCount: 3
                items:
                  - environmentId: environmentId
                    name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
                  - environmentId: environmentId
                    name: name
                    links:
                      self:
                        href: href
                        type: type
                    key: key
              count: 9
            aiConfigsExpanded:
              totalCount: 6
              items:
                - createdAt: 2
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  version: 1
                  key: key
                  flagKey: flagKey
                  tags:
                    - tags
                    - tags
                  updatedAt: 6
                - createdAt: 2
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  version: 1
                  key: key
                  flagKey: flagKey
                  tags:
                    - tags
                    - tags
                  updatedAt: 6
            segmentsExpanded:
              totalCount: 8
              items:
                - generation: 6
                  lastModifiedDate: 9
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  description: description
                  creationDate: 5
                  version: 9
                  environmentKey: environmentKey
                  tags:
                    - tags
                    - tags
                  environmentId: environmentId
                  deleted: true
                  name: name
                  unbounded: true
                  key: key
                - generation: 6
                  lastModifiedDate: 9
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  description: description
                  creationDate: 5
                  version: 9
                  environmentKey: environmentKey
                  tags:
                    - tags
                    - tags
                  environmentId: environmentId
                  deleted: true
                  name: name
                  unbounded: true
                  key: key
            projectId: projectId
            flagsExpanded:
              totalCount: 4
              items:
                - archived: true
                  temporary: true
                  includeInSnippet: true
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  creationDate: 7
                  _version: 1
                  key: key
                  maintainer:
                    kind: member
                    _member:
                      firstName: Ariel
                      lastName: Flores
                      role: admin
                      _links:
                        self:
                          href: /api/v2/members/569f183514f4432160000007
                          type: application/json
                      _id: 569f183514f4432160000007
                      email: ariel@acme.com
                    _team:
                      _links:
                        key:
                          href: href
                          type: type
                      name: QA Team
                      customRoleKeys:
                        - access-to-test-projects
                      key: team-key-123abc
                    key: key
                  tags:
                    - tags
                    - tags
                - archived: true
                  temporary: true
                  includeInSnippet: true
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  creationDate: 7
                  _version: 1
                  key: key
                  maintainer:
                    kind: member
                    _member:
                      firstName: Ariel
                      lastName: Flores
                      role: admin
                      _links:
                        self:
                          href: /api/v2/members/569f183514f4432160000007
                          type: application/json
                      _id: 569f183514f4432160000007
                      email: ariel@acme.com
                    _team:
                      _links:
                        key:
                          href: href
                          type: type
                      name: QA Team
                      customRoleKeys:
                        - access-to-test-projects
                      key: team-key-123abc
                    key: key
                  tags:
                    - tags
                    - tags
      properties:
        _links:
          $ref: '#/components/schemas/ViewsPaginatedLinks'
        items:
          items:
            $ref: '#/components/schemas/View'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    Error:
      example:
        code: code
        message: message
      properties:
        message:
          type: string
        code:
          type: string
      required:
        - code
        - message
      type: object
    ViewsPaginatedLinks:
      example:
        next:
          href: href
          type: type
        last:
          href: href
          type: type
        prev:
          href: href
          type: type
        self:
          href: href
          type: type
        first:
          href: href
          type: type
      properties:
        first:
          $ref: '#/components/schemas/ViewsLink'
        last:
          $ref: '#/components/schemas/ViewsLink'
        next:
          $ref: '#/components/schemas/ViewsLink'
        prev:
          $ref: '#/components/schemas/ViewsLink'
        self:
          $ref: '#/components/schemas/ViewsLink'
      required:
        - self
      type: object
    View:
      example:
        metricsExpanded:
          totalCount: 6
          items:
            - _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              kind: kind
              description: description
              creationDate: 9
              isActive: true
              lastSeen: 3
              eventKey: eventKey
              _versionId: _versionId
              isNumeric: true
              name: name
              lastModified: 6
              _id: _id
              category: category
              key: key
            - _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              kind: kind
              description: description
              creationDate: 9
              isActive: true
              lastSeen: 3
              eventKey: eventKey
              _versionId: _versionId
              isNumeric: true
              name: name
              lastModified: 6
              _id: _id
              category: category
              key: key
        _links:
          parent:
            href: href
            type: type
          self:
            href: href
            type: type
        description: description
        maintainer:
          kind: kind
          maintainerMember:
            firstName: firstName
            lastName: lastName
            role: role
            id: id
            email: email
          id: id
          maintainerTeam:
            name: name
            id: id
            key: key
        metricsSummary:
          count: 2
        createdAt: 6
        archived: false
        projectKey: projectKey
        _access:
          allowed:
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
          denied:
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
        generateSdkKeys: true
        flagsSummary:
          count: 2
          linkedFlags:
            totalCount: 7
            items:
              - name: name
                links:
                  self:
                    href: href
                    type: type
                key: key
              - name: name
                links:
                  self:
                    href: href
                    type: type
                key: key
        id: id
        aiConfigsSummary:
          count: 4
        key: key
        updatedAt: 1
        resourcesExpanded:
          totalCount: 7
          items:
            flags:
              totalCount: 5
              items:
                - archived: true
                  temporary: true
                  includeInSnippet: true
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  creationDate: 7
                  _version: 1
                  key: key
                  maintainer:
                    kind: member
                    _member:
                      firstName: Ariel
                      lastName: Flores
                      role: admin
                      _links:
                        self:
                          href: /api/v2/members/569f183514f4432160000007
                          type: application/json
                      _id: 569f183514f4432160000007
                      email: ariel@acme.com
                    _team:
                      _links:
                        key:
                          href: href
                          type: type
                      name: QA Team
                      customRoleKeys:
                        - access-to-test-projects
                      key: team-key-123abc
                    key: key
                  tags:
                    - tags
                    - tags
                - archived: true
                  temporary: true
                  includeInSnippet: true
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  creationDate: 7
                  _version: 1
                  key: key
                  maintainer:
                    kind: member
                    _member:
                      firstName: Ariel
                      lastName: Flores
                      role: admin
                      _links:
                        self:
                          href: /api/v2/members/569f183514f4432160000007
                          type: application/json
                      _id: 569f183514f4432160000007
                      email: ariel@acme.com
                    _team:
                      _links:
                        key:
                          href: href
                          type: type
                      name: QA Team
                      customRoleKeys:
                        - access-to-test-projects
                      key: team-key-123abc
                    key: key
                  tags:
                    - tags
                    - tags
            aiConfigs:
              totalCount: 3
              items:
                - createdAt: 2
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  version: 1
                  key: key
                  flagKey: flagKey
                  tags:
                    - tags
                    - tags
                  updatedAt: 6
                - createdAt: 2
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  name: name
                  description: description
                  version: 1
                  key: key
                  flagKey: flagKey
                  tags:
                    - tags
                    - tags
                  updatedAt: 6
            metrics:
              totalCount: 3
              items:
                - _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  kind: kind
                  description: description
                  creationDate: 9
                  isActive: true
                  lastSeen: 3
                  eventKey: eventKey
                  _versionId: _versionId
                  isNumeric: true
                  name: name
                  lastModified: 6
                  _id: _id
                  category: category
                  key: key
                - _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  kind: kind
                  description: description
                  creationDate: 9
                  isActive: true
                  lastSeen: 3
                  eventKey: eventKey
                  _versionId: _versionId
                  isNumeric: true
                  name: name
                  lastModified: 6
                  _id: _id
                  category: category
                  key: key
            segments:
              totalCount: 6
              items:
                - generation: 6
                  lastModifiedDate: 9
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  description: description
                  creationDate: 5
                  version: 9
                  environmentKey: environmentKey
                  tags:
                    - tags
                    - tags
                  environmentId: environmentId
                  deleted: true
                  name: name
                  unbounded: true
                  key: key
                - generation: 6
                  lastModifiedDate: 9
                  _links:
                    parent:
                      href: href
                      type: type
                    self:
                      href: href
                      type: type
                  description: description
                  creationDate: 5
                  version: 9
                  environmentKey: environmentKey
                  tags:
                    - tags
                    - tags
                  environmentId: environmentId
                  deleted: true
                  name: name
                  unbounded: true
                  key: key
        resourceSummary:
          flagCount: 7
          metricCount: 1
          totalCount: 6
          segmentCount: 1
          aiConfigCount: 1
        version: 0
        tags:
          - tags
          - tags
        accountId: accountId
        archivedAt: 5
        deletedAt: 5
        deleted: false
        name: name
        segmentsSummary:
          linkedSegments:
            totalCount: 3
            items:
              - environmentId: environmentId
                name: name
                links:
                  self:
                    href: href
                    type: type
                key: key
              - environmentId: environmentId
                name: name
                links:
                  self:
                    href: href
                    type: type
                key: key
          count: 9
        aiConfigsExpanded:
          totalCount: 6
          items:
            - createdAt: 2
              _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              name: name
              description: description
              version: 1
              key: key
              flagKey: flagKey
              tags:
                - tags
                - tags
              updatedAt: 6
            - createdAt: 2
              _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              name: name
              description: description
              version: 1
              key: key
              flagKey: flagKey
              tags:
                - tags
                - tags
              updatedAt: 6
        segmentsExpanded:
          totalCount: 8
          items:
            - generation: 6
              lastModifiedDate: 9
              _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              description: description
              creationDate: 5
              version: 9
              environmentKey: environmentKey
              tags:
                - tags
                - tags
              environmentId: environmentId
              deleted: true
              name: name
              unbounded: true
              key: key
            - generation: 6
              lastModifiedDate: 9
              _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              description: description
              creationDate: 5
              version: 9
              environmentKey: environmentKey
              tags:
                - tags
                - tags
              environmentId: environmentId
              deleted: true
              name: name
              unbounded: true
              key: key
        projectId: projectId
        flagsExpanded:
          totalCount: 4
          items:
            - archived: true
              temporary: true
              includeInSnippet: true
              _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              name: name
              description: description
              creationDate: 7
              _version: 1
              key: key
              maintainer:
                kind: member
                _member:
                  firstName: Ariel
                  lastName: Flores
                  role: admin
                  _links:
                    self:
                      href: /api/v2/members/569f183514f4432160000007
                      type: application/json
                  _id: 569f183514f4432160000007
                  email: ariel@acme.com
                _team:
                  _links:
                    key:
                      href: href
                      type: type
                  name: QA Team
                  customRoleKeys:
                    - access-to-test-projects
                  key: team-key-123abc
                key: key
              tags:
                - tags
                - tags
            - archived: true
              temporary: true
              includeInSnippet: true
              _links:
                parent:
                  href: href
                  type: type
                self:
                  href: href
                  type: type
              name: name
              description: description
              creationDate: 7
              _version: 1
              key: key
              maintainer:
                kind: member
                _member:
                  firstName: Ariel
                  lastName: Flores
                  role: admin
                  _links:
                    self:
                      href: /api/v2/members/569f183514f4432160000007
                      type: application/json
                  _id: 569f183514f4432160000007
                  email: ariel@acme.com
                _team:
                  _links:
                    key:
                      href: href
                      type: type
                  name: QA Team
                  customRoleKeys:
                    - access-to-test-projects
                  key: team-key-123abc
                key: key
              tags:
                - tags
                - tags
      properties:
        _access:
          $ref: '#/components/schemas/ViewsAccessRep'
        _links:
          $ref: '#/components/schemas/ParentAndSelfLinks'
        id:
          description: Unique ID of this view
          format: string
          type: string
        accountId:
          description: ID of the account that owns this view
          type: string
        projectId:
          description: ID of the project this view belongs to
          type: string
        projectKey:
          description: Key of the project this view belongs to
          type: string
        key:
          description: Unique key for the view within the account/project
          type: string
        name:
          description: Human-readable name for the view
          type: string
        description:
          description: Optional detailed description of the view
          type: string
        generateSdkKeys:
          description: Whether to generate SDK keys for this view. Defaults to false.
          type: boolean
        version:
          description: Version number for tracking changes
          type: integer
        tags:
          description: Tags associated with this view
          items:
            type: string
          type: array
        createdAt:
          type: integer
          format: int64
        updatedAt:
          type: integer
          format: int64
        archived:
          default: false
          description: Whether this view is archived
          type: boolean
        archivedAt:
          type: integer
          format: int64
        deletedAt:
          type: integer
          format: int64
        deleted:
          default: false
          description: Whether this view is deleted
          type: boolean
        maintainer:
          $ref: '#/components/schemas/Maintainer'
        flagsSummary:
          $ref: '#/components/schemas/FlagsSummary'
        segmentsSummary:
          $ref: '#/components/schemas/SegmentsSummary'
        metricsSummary:
          $ref: '#/components/schemas/MetricsSummary'
        aiConfigsSummary:
          $ref: '#/components/schemas/AIConfigsSummary'
        resourceSummary:
          $ref: '#/components/schemas/ResourceSummary'
        flagsExpanded:
          $ref: '#/components/schemas/ExpandedLinkedFlags'
        segmentsExpanded:
          $ref: '#/components/schemas/ExpandedLinkedSegments'
        metricsExpanded:
          $ref: '#/components/schemas/ExpandedLinkedMetrics'
        aiConfigsExpanded:
          $ref: '#/components/schemas/ExpandedLinkedAIConfigs'
        resourcesExpanded:
          $ref: '#/components/schemas/ExpandedLinkedResources'
      required:
        - accountId
        - archived
        - createdAt
        - deleted
        - description
        - generateSdkKeys
        - id
        - key
        - name
        - projectId
        - projectKey
        - tags
        - updatedAt
        - version
      type: object
    ViewsLink:
      example:
        href: href
        type: type
      properties:
        href:
          type: string
        type:
          type: string
      type: object
    ViewsAccessRep:
      allOf:
        - $ref: '#/components/schemas/ViewsAccess'
      example:
        allowed:
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
        denied:
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
      x-go-type: reps.AccessRep
    ParentAndSelfLinks:
      description: The location and content type of related resources
      example:
        parent:
          href: href
          type: type
        self:
          href: href
          type: type
      properties:
        self:
          $ref: '#/components/schemas/CoreLink'
        parent:
          $ref: '#/components/schemas/CoreLink'
      required:
        - parent
        - self
      type: object
    Maintainer:
      example:
        kind: kind
        maintainerMember:
          firstName: firstName
          lastName: lastName
          role: role
          id: id
          email: email
        id: id
        maintainerTeam:
          name: name
          id: id
          key: key
      properties:
        id:
          type: string
        kind:
          type: string
        maintainerMember:
          $ref: '#/components/schemas/ViewsMaintainerMember'
        maintainerTeam:
          $ref: '#/components/schemas/ViewsMaintainerTeam'
      required:
        - id
        - kind
      type: object
    FlagsSummary:
      example:
        count: 2
        linkedFlags:
          totalCount: 7
          items:
            - name: name
              links:
                self:
                  href: href
                  type: type
              key: key
            - name: name
              links:
                self:
                  href: href
                  type: type
              key: key
      properties:
        count:
          type: integer
        linkedFlags:
          $ref: '#/components/schemas/ExpandedDirectlyLinkedFlags'
      required:
        - count
      type: object
    SegmentsSummary:
      example:
        linkedSegments:
          totalCount: 3
          items:
            - environmentId: environmentId
              name: name
              links:
                self:
                  href: href
                  type: type
              key: key
            - environmentId: environmentId
              name: name
              links:
                self:
                  href: href
                  type: type
              key: key
        count: 9
      properties:
        count:
          type: integer
        linkedSegments:
          $ref: '#/components/schemas/ExpandedDirectlyLinkedSegments'
      required:
        - count
      type: object
    MetricsSummary:
      example:
        count: 2
      properties:
        count:
          type: integer
      required:
        - count
      type: object
    AIConfigsSummary:
      example:
        count: 4
      properties:
        count:
          type: integer
      required:
        - count
      type: object
    ResourceSummary:
      example:
        flagCount: 7
        metricCount: 1
        totalCount: 6
        segmentCount: 1
        aiConfigCount: 1
      properties:
        flagCount:
          type: integer
        segmentCount:
          type: integer
        totalCount:
          type: integer
      required:
        - flagCount
        - totalCount
      type: object
    ExpandedLinkedFlags:
      description: >-
        Details on linked flags for a view - requires passing the 'allFlags'
        expand field
      example:
        totalCount: 4
        items:
          - archived: true
            temporary: true
            includeInSnippet: true
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            name: name
            description: description
            creationDate: 7
            _version: 1
            key: key
            maintainer:
              kind: member
              _member:
                firstName: Ariel
                lastName: Flores
                role: admin
                _links:
                  self:
                    href: /api/v2/members/569f183514f4432160000007
                    type: application/json
                _id: 569f183514f4432160000007
                email: ariel@acme.com
              _team:
                _links:
                  key:
                    href: href
                    type: type
                name: QA Team
                customRoleKeys:
                  - access-to-test-projects
                key: team-key-123abc
              key: key
            tags:
              - tags
              - tags
          - archived: true
            temporary: true
            includeInSnippet: true
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            name: name
            description: description
            creationDate: 7
            _version: 1
            key: key
            maintainer:
              kind: member
              _member:
                firstName: Ariel
                lastName: Flores
                role: admin
                _links:
                  self:
                    href: /api/v2/members/569f183514f4432160000007
                    type: application/json
                _id: 569f183514f4432160000007
                email: ariel@acme.com
              _team:
                _links:
                  key:
                    href: href
                    type: type
                name: QA Team
                customRoleKeys:
                  - access-to-test-projects
                key: team-key-123abc
              key: key
            tags:
              - tags
              - tags
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExpandedFlag'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ExpandedLinkedSegments:
      description: >-
        Details on linked segments for a view - requires passing the
        'allSegments' expand field
      example:
        totalCount: 8
        items:
          - generation: 6
            lastModifiedDate: 9
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            description: description
            creationDate: 5
            version: 9
            environmentKey: environmentKey
            tags:
              - tags
              - tags
            environmentId: environmentId
            deleted: true
            name: name
            unbounded: true
            key: key
          - generation: 6
            lastModifiedDate: 9
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            description: description
            creationDate: 5
            version: 9
            environmentKey: environmentKey
            tags:
              - tags
              - tags
            environmentId: environmentId
            deleted: true
            name: name
            unbounded: true
            key: key
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExpandedSegment'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ExpandedLinkedMetrics:
      example:
        totalCount: 6
        items:
          - _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            kind: kind
            description: description
            creationDate: 9
            isActive: true
            lastSeen: 3
            eventKey: eventKey
            _versionId: _versionId
            isNumeric: true
            name: name
            lastModified: 6
            _id: _id
            category: category
            key: key
          - _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            kind: kind
            description: description
            creationDate: 9
            isActive: true
            lastSeen: 3
            eventKey: eventKey
            _versionId: _versionId
            isNumeric: true
            name: name
            lastModified: 6
            _id: _id
            category: category
            key: key
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExpandedMetric'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ExpandedLinkedAIConfigs:
      example:
        totalCount: 6
        items:
          - createdAt: 2
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            name: name
            description: description
            version: 1
            key: key
            flagKey: flagKey
            tags:
              - tags
              - tags
            updatedAt: 6
          - createdAt: 2
            _links:
              parent:
                href: href
                type: type
              self:
                href: href
                type: type
            name: name
            description: description
            version: 1
            key: key
            flagKey: flagKey
            tags:
              - tags
              - tags
            updatedAt: 6
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExpandedAIConfig'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ExpandedLinkedResources:
      description: >-
        Details on linked resources for a view - requires passing the
        'allResources' expand field
      example:
        totalCount: 7
        items:
          flags:
            totalCount: 5
            items:
              - archived: true
                temporary: true
                includeInSnippet: true
                _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                name: name
                description: description
                creationDate: 7
                _version: 1
                key: key
                maintainer:
                  kind: member
                  _member:
                    firstName: Ariel
                    lastName: Flores
                    role: admin
                    _links:
                      self:
                        href: /api/v2/members/569f183514f4432160000007
                        type: application/json
                    _id: 569f183514f4432160000007
                    email: ariel@acme.com
                  _team:
                    _links:
                      key:
                        href: href
                        type: type
                    name: QA Team
                    customRoleKeys:
                      - access-to-test-projects
                    key: team-key-123abc
                  key: key
                tags:
                  - tags
                  - tags
              - archived: true
                temporary: true
                includeInSnippet: true
                _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                name: name
                description: description
                creationDate: 7
                _version: 1
                key: key
                maintainer:
                  kind: member
                  _member:
                    firstName: Ariel
                    lastName: Flores
                    role: admin
                    _links:
                      self:
                        href: /api/v2/members/569f183514f4432160000007
                        type: application/json
                    _id: 569f183514f4432160000007
                    email: ariel@acme.com
                  _team:
                    _links:
                      key:
                        href: href
                        type: type
                    name: QA Team
                    customRoleKeys:
                      - access-to-test-projects
                    key: team-key-123abc
                  key: key
                tags:
                  - tags
                  - tags
          aiConfigs:
            totalCount: 3
            items:
              - createdAt: 2
                _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                name: name
                description: description
                version: 1
                key: key
                flagKey: flagKey
                tags:
                  - tags
                  - tags
                updatedAt: 6
              - createdAt: 2
                _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                name: name
                description: description
                version: 1
                key: key
                flagKey: flagKey
                tags:
                  - tags
                  - tags
                updatedAt: 6
          metrics:
            totalCount: 3
            items:
              - _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                kind: kind
                description: description
                creationDate: 9
                isActive: true
                lastSeen: 3
                eventKey: eventKey
                _versionId: _versionId
                isNumeric: true
                name: name
                lastModified: 6
                _id: _id
                category: category
                key: key
              - _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                kind: kind
                description: description
                creationDate: 9
                isActive: true
                lastSeen: 3
                eventKey: eventKey
                _versionId: _versionId
                isNumeric: true
                name: name
                lastModified: 6
                _id: _id
                category: category
                key: key
          segments:
            totalCount: 6
            items:
              - generation: 6
                lastModifiedDate: 9
                _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                description: description
                creationDate: 5
                version: 9
                environmentKey: environmentKey
                tags:
                  - tags
                  - tags
                environmentId: environmentId
                deleted: true
                name: name
                unbounded: true
                key: key
              - generation: 6
                lastModifiedDate: 9
                _links:
                  parent:
                    href: href
                    type: type
                  self:
                    href: href
                    type: type
                description: description
                creationDate: 5
                version: 9
                environmentKey: environmentKey
                tags:
                  - tags
                  - tags
                environmentId: environmentId
                deleted: true
                name: name
                unbounded: true
                key: key
      properties:
        items:
          $ref: '#/components/schemas/ExpandedLinkedResourcesItems'
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ViewsAccess:
      properties:
        denied:
          items:
            $ref: '#/components/schemas/ViewsAccessDenied'
          type: array
        allowed:
          items:
            $ref: '#/components/schemas/ViewsAccessAllowedRep'
          type: array
      required:
        - allowed
        - denied
      type: object
    CoreLink:
      example:
        href: href
        type: type
      properties:
        href:
          type: string
        type:
          type: string
      required:
        - href
        - type
      type: object
    ViewsMaintainerMember:
      example:
        firstName: firstName
        lastName: lastName
        role: role
        id: id
        email: email
      properties:
        id:
          type: string
        email:
          type: string
        role:
          type: string
        firstName:
          type: string
        lastName:
          type: string
      required:
        - email
        - id
        - role
      type: object
    ViewsMaintainerTeam:
      example:
        name: name
        id: id
        key: key
      properties:
        id:
          type: string
        key:
          type: string
        name:
          type: string
      required:
        - id
        - key
        - name
      type: object
    ExpandedDirectlyLinkedFlags:
      example:
        totalCount: 7
        items:
          - name: name
            links:
              self:
                href: href
                type: type
            key: key
          - name: name
            links:
              self:
                href: href
                type: type
            key: key
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExpandedDirectlyLinkedFlag'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ExpandedDirectlyLinkedSegments:
      example:
        totalCount: 3
        items:
          - environmentId: environmentId
            name: name
            links:
              self:
                href: href
                type: type
            key: key
          - environmentId: environmentId
            name: name
            links:
              self:
                href: href
                type: type
            key: key
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExpandedDirectlyLinkedSegment'
          type: array
        totalCount:
          type: integer
      required:
        - items
        - totalCount
      type: object
    ExpandedFlag:
      description: >-
        Flag representation for Views API - contains only fields actually used
        by the Views service
      example:
        archived: true
        temporary: true
        includeInSnippet: true
        _links:
          parent:
            href: href
            type: type
          self:
            href: href
            type: type
        name: name
        description: description
        creationDate: 7
        _version: 1
        key: key
        maintainer:
          kind: member
          _member:
            firstName: Ariel
            lastName: Flores
            role: admin
            _links:
              self:
                href: /api/v2/members/569f183514f4432160000007
                type: application/json
            _id: 569f183514f4432160000007
            email: ariel@acme.com
          _team:
            _links:
              key:
                href: href
                type: type
            name: QA Team
            customRoleKeys:
              - access-to-test-projects
            key: team-key-123abc
          key: key
        tags:
          - tags
          - tags
      properties:
        key:
          description: A unique key used to reference the flag
[...]
